Commit 7afb3b19 authored by André Kerkhoff's avatar André Kerkhoff
Browse files

Add dependencies for StringifierContrib and KinoSearchContrib/Plugin

parent ac53aa1e
......@@ -76,6 +76,13 @@ module Foswiki
JSTreeContrib: {
foswiki: %w(JQueryPlugin),
},
KinoSearchContrib: {
apt: %w(liberror-perl libkinosearch1-perl),
foswiki: %w(StringifierContrib),
},
KinoSearchPlugin: {
foswiki: %w(KinoSearchContrib),
},
LatexModePlugin: {
apt: %w(dvipng imagemagick libdigest-perl-md5-perl libimage-info-perl texlive-latex-base),
},
......@@ -142,6 +149,13 @@ module Foswiki
SpreadsheetReaderPlugin: {
apt: %w(libspreadsheet-parseexcel-perl libspreadsheet-parsexlsx-perl libspreadsheet-read-perl libspreadsheet-readsxc-perl libtext-csv-xs-perl),
},
StringifierContrib: {
# antiword could be replaced by soffice, abiword or wvWare
# html2text could be replaced by lynx
# libspreadsheet-parsexlsx-perl could be replaced by xlsx2csv
# Optional: tesseract
apt: %w(antiword catdoc html2text libencode-perl liberror-perl libfile-which-perl libmodule-pluggable-perl libspreadsheet-parsexlsx-perl libspreadsheet-xlsx-perl odt2txt poppler-utils),
},
SubscribePlugin: {
apt: %w(libjson-xs-perl),
foswiki: %w(MailerContrib),
......
......@@ -3,7 +3,7 @@ maintainer 'HPC'
maintainer_email 'hpc@gsi.de'
license 'All rights reserved'
description 'Installs/Configures Foswiki'
version '2.2.12'
version '2.2.13'
depends 'apache2', '< 6.0'
supports 'debian'
supports 'ubuntu'
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment